import React from "react";

const TextAreaField = ({options}) => {
  const defaultOptions = {
    name: '',
    value: '',
    description: '',
    placeholder: '',
    onChange: () => {},
  }
  let safeOptions = {}
  Object.assign(safeOptions, defaultOptions, options);

  return (
    <div className="wsiaca-field wsiaca-field--textarea">
      <textarea rows="10" cols="30" defaultValue={safeOptions['value']} onChange={safeOptions['onChange']} placeholder={safeOptions['placeholder']}></textarea>
    </div>
  );
}

export default TextAreaField;